Subject: Re: [PATCH] Add --with-tcltk and --without-tcltk to configure.

From: Eygene Ryabinkin <[email-masked]>
Date: Thu, 29 Mar 2007 12:58:35 +0400

Thu, Mar 29, 2007 at 01:35:55AM -0700, Junio C Hamano wrote:
> Eygene Ryabinkin <[email-masked]> writes:
> 
> > Or you meant something different? I am little confused with
> > the '$PATH' in your example. Was it intended?
> 
> Yes, the dollar-sign-in-pathname is pretty much a part of my
> pathological example. 

Got it. So you mean that the '$' sign should be escaped as well? ;))
Or we can get another _SQ substitution to the script and the
string will look like
exec 'whatever you'\''d written here' "$0" -- "$@"

> >> But come to think of it, it lets shell handle $PATH to find wish
> >> anyway, so *unless* we have specific version dependency to wish
> >> that wish binary normally found on user's $PATH is inadequate,
> >> we probably should not even need to be doing any of this path
> >> munging.  You might end up discovering the path to wish binary
> >> in your autoconf script, we do not have to use it.  ./configure
> >> can just see if there is wish, and set NO_TCLTK appropriately
> >> without any of the path business.
> >> 
> >> What do you think?
> >
> > There are problems at least with FreeBSD: it just installs the
> > wish8.4, wish8.3, wish8.2, etc. It does not provide the bare 'wish'
> > as the link to one of those.
> 
> Then sed -e 's/wish/$(WISH_NAME)/', still letting the shell to
> handle the path part, could be a simpler option.  I dunno.

Ah, you mean that './configure --with-tcltk=wish8.4' should also
do the trick? It seems to be easy to achieve by just skipping
the 'test -x' part in the configure.ac. So the semantics of
'--with-tcltk=PATH' will be:
"If you're telling me about the path to the interpreter, it is
you who should take care of it. I do not mind if you will give
me something unexecutable, unexistent and so on.". Comments?
-- 
Eygene